#!/bin/sh
#
#
# Update/Install Gskit 
#
#

OS=`uname -s`
echo $OS 
SRCDIR=`pwd`

case "$OS" in 
          "AIX") 
                 installp -ac -d gskta.rte gskta 
          ;;
          "SunOS")
                 pkgadd -a ./admin -n -d . gsk7bas  
          ;;
          "HP-UX")
                 APARCH=`uname -m`
                 if [ "$APARCH" = "ia64" ] ;
                 then
                    swreg -l depot $SRCDIR/gsk7bas64
                    swinstall -s $SRCDIR/gsk7bas64  -x enforce_scripts=false gsk7bas64 
                 else
                    swreg -l depot $SRCDIR/gsk7bas  
                    swinstall -s $SRCDIR/gsk7bas gsk7bas
                 fi
          ;;
          "Linux" )
                  APARCH=`uname -m`
                  if [ "$APARCH" = "s390" ] || [ "$APARCH" = "s390x" ] ;
                  then 
                     rpm -Uh --nodeps --ignorearch gsk7bas*s390*rpm    
                  elif  [ "$APARCH" = "ppc" ] || [ "$APARCH" = "ppc64" ] ;
                  then
                     rpm -Uh --nodeps --ignorearch gsk7bas*ppc*rpm
                  elif  [ "$APARCH" = "ia64" ] ;
                  then
                     rpm -Uh --nodeps --ignorearch gsk7bas*ia64*rpm
                  else
                     rpm -Uh --nodeps --ignorearch gsk7bas*86*rpm 
                  fi
          ;;
          *)
          echo "ERROR: Can't determine platform!" 
          exit -1 ;;
esac




